Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorgserver / nvidia: screen two (HDMI) goes on/off [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Thu Nov 07, 2013 8:15 pm    Post subject: xorgserver / nvidia: screen two (HDMI) goes on/off [solved] Reply with quote

UPDATE: I forgot in the original thread to say that the prob is emerging on the second screen called 'Acer HS244HQ'. If you have the same fault with other monitors, your'e maybe on the right place, too!

Hi.
I have problem: since an update from xorg-server from 1.13.4-r1 to 1.14.3-r2 and also the problem emerged on change from nvidia-drivers-173.14.38 to 304.108.

Now i have xorg-server 1.14.3-r2 and nvidia-drivers 325.15.
All would be good if there wouldn't be one problem: The second screen (first DVI, second HDMI) goes on and off all the time in a loop. So its flickering and hurting my eyes. The screen doesn't show it's logo but the Infrared is blinking .. maybe because its repowering it so fast that it doesn't go to standby.
The first screen is working.

So now i had the fix, that i just downgrade to xorg-server 1.13.4-r1 and nvidia-drivers 173.14.38 (and nvidia-settings-173.14.37 by the way, of course)
But i just want to know what the problem really is, because many applications depend to xorg-server 1.14.3-r2 today. (see the printing below)

If i use the nvidia-drivers above 173.14.37 X isn't starting. I do not have a printing for that, because the nvidia-drivers-325.15 is working, so i didn't play more with the versions which are already outdatet.
By the way, the newest version - which is masked - nvidia-drivers-331.20 is printing a black screen with blinking cursor, too. When starting X.

The next line is the working setup:
Code:
 # emerge -avu =x11-drivers/nvidia-drivers-173.14.38 =media-video/nvidia-settings-173.14.37 =x11-base/xorg-server-1.13.4-r1

 * IMPORTANT: 21 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD ] x11-base/xorg-server-1.13.4-r1:0/1.13.4 [1.14.3-r2:0/1.14.3] USE="ipv6 nptl suid udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -xnest -xvfb" 0 kB
[ebuild     UD ] x11-drivers/nvidia-drivers-173.14.38 [325.15] USE="acpi (multilib) -tools* (-X%*) (-pax_kernel%)" 0 kB
[ebuild     UD~] media-video/nvidia-settings-173.14.37 [304.60] USE="-examples" 0 kB

Total: 3 packages (3 downgrades), Size of downloads: 0 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-base/xorg-server:0

  (x11-base/xorg-server-1.13.4-r1::gentoo, ebuild scheduled for merge) pulled in by
    =x11-base/xorg-server-1.13.4-r1

  (x11-base/xorg-server-1.14.3-r2::gentoo, installed) pulled in by
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-input-keyboard-1.7.0::gentoo, installed)
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-input-evdev-2.8.1::gentoo, installed)
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-input-mouse-1.9.0::gentoo, installed)


I can solve that dependency problem for sure. But it would be better, to use the new version nvidia-drivers-325.15 instead. And also the newest Xorg server.

Maybe someone can help? :-)

Here my system info:

Code:
 # emerge --info
Portage 2.2.7 (default/linux/amd64/13.0, gcc-4.7.3, glibc-2.15-r3, 3.5.7-gentoo x86_64)                                                     
=================================================================                                                                           
System uname: Linux-3.5.7-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600K_CPU_@_3.40GHz-with-gentoo-2.2                                           
KiB Mem:     8166920 total,   3523144 free                                                                                                 
KiB Swap:    4200992 total,   4200992 free                                                                                                 
Timestamp of tree: Wed, 06 Nov 2013 21:00:01 +0000                                                                                         
ld GNU ld (GNU Binutils) 2.23.1                                                                                                             
distcc 3.1 x86_64-pc-linux-gnu [disabled]                                                                                                   
app-shells/bash:          4.2_p45                                                                                                           
dev-java/java-config:     2.1.12-r1                                                                                                         
dev-lang/python:          2.6.8-r3, 2.7.5-r3, 3.1.5-r1, 3.2.5-r3                                                                           
dev-util/cmake:           2.8.11.2                                                                                                         
dev-util/pkgconfig:       0.28                                                                                                             
sys-apps/baselayout:      2.2                                                                                                               
sys-apps/openrc:          0.12.4                                                                                                           
sys-apps/sandbox:         2.6-r1                                                                                                           
sys-devel/autoconf:       2.13, 2.69                                                                                                       
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4                                                                         
sys-devel/binutils:       2.23.1                                                                                                           
sys-devel/gcc:            4.4.7, 4.5.4, 4.6.3, 4.7.3-r1                                                                                     
sys-devel/gcc-config:     1.7.3                                                                                                             
sys-devel/libtool:        2.4.2                                                                                                             
sys-devel/make:           3.82-r4                                                                                                           
sys-kernel/linux-headers: 3.9 (virtual/os-headers)                                                                                         
sys-libs/glibc:           2.15-r3                                                                                                           
Repositories: gentoo                                                                                                                       
ACCEPT_KEYWORDS="amd64"                                                                                                                     
ACCEPT_LICENSE="* -@EULA skype-4.0.0.7-copyright skype-eula RTCW-ETEULA AdobeFlash-10.1 AdobeFlash-10.3 LOKI-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="X a52 aac acl acpi adns alsa amd64 ao apm arts audiofile avi bash-completion berkdb bitmap-fonts bzip2 cairo cdda cdparanoia cdr cgi cli cracklib crypt cscope css curl curlwrappers custom-optimization cxx dbus dga directfb divx dri dts dvd dvdr emacs encode enscript exif expat fam fbcon fbcondecor ffmpeg firefox flac fltk fortran ftp gd gdbm geoip ghoto gif gimp glut gmp gnutls gphoto2 gpm gstreamer gtk guile gzip hal hddtemp iconv icq icu ieee1394 imagemagick imap injection ios ipv6 irc jack javascript jbig jpeg jpeg2k kde kontact lame libcaca libffi libgphoto2 libmng libnotify libsamplerate libsndfile lm_sensors lzma lzo mad madwifi mhash midi mikmod mmx mng modplug modules mp3 mp4 mpeg mplayer mptov msn mudflap multilib musepack ncurses nfs nls nntp nptl nptlonly nvidia objc ogg oggvorbis openal opengl openmp oss pam pcre pdf perl php plasma png portaudio posix pulseaudio qt3 qt3support qt4 quicktime readline realmedia recode rss samba sdl semantic-desktop session shorten sid smp sockets socks5 sound sox speex sse sse2 sse3 ssl subversion svg syslog szip tcl tcpd timidity truetype unicode v4l v4l2 vcd vorbis wavpack win32codecs winbind wma wmf wxwidgets x264 xcomposite xinerama xml xpm xscreensaver xvid zblib zeroconf zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON


Last edited by ch64 on Wed Nov 13, 2013 5:25 pm; edited 3 times in total
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Thu Nov 07, 2013 10:32 pm    Post subject: Reply with quote

Mask every driver above 173.xx, and upgrade XOrg.
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Thu Nov 07, 2013 11:06 pm    Post subject: Reply with quote

x11-base/xorg-server-1.14.3-r2 isnt working with x11-drivers/nvidia-drivers-173.14.38 so i have to leave x11-base/xorg-server-1.13.4-r1

or wait, lemme' test.
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Fri Nov 08, 2013 12:15 pm    Post subject: Reply with quote

maybe i could have posted this one in another topic... hmm
i had that error fixed long time ago, but i don't remember what the solution was.
is it something with the kernel?
or is it you must run some tool after installing the new nvidia?

Code:

startx
xauth:  file /home/flash/.serverauth.1072 does not exist


X.Org X Server 1.14.3
Release Date: 2013-09-12
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.5.7-gentoo x86_64 Gentoo
Current Operating System: Linux dualcore 3.5.7-gentoo #2 SMP Sun Jan 27 12:59:07 CET 2013 x86_64
Kernel command line: root=/dev/ram0 init=/linuxrc ramdisk=8192 real_root=/dev/sdb3 udev doscsi noapic acpi=off rootfstype=ext3 video=uvesafb:mtrr:3,ywrap,1024x768-32@85
Build Date: 03 November 2013  07:16:09PM
 
Current version of pixman: 0.30.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Nov  8 13:10:19 2013
(==) Using config file: "/etc/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
Error: API mismatch: the NVIDIA kernel module has version 325.15,
but this NVIDIA driver component has version 173.14.38.  Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
(EE)
Fatal server error:
(EE) no screens found(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Fri Nov 08, 2013 12:21 pm    Post subject: Reply with quote

after rmmod nvidia modprobe nvidia it comes out that the newest xorgserver doesn't work with 173.x.x, - like i said.
i have to go to the one before.

Code:

startx
xauth:  file /home/flash/.serverauth.1166 does not exist


X.Org X Server 1.14.3
Release Date: 2013-09-12
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.5.7-gentoo x86_64 Gentoo
Current Operating System: Linux dualcore 3.5.7-gentoo #2 SMP Sun Jan 27 12:59:07 CET 2013 x86_64
Kernel command line: root=/dev/ram0 init=/linuxrc ramdisk=8192 real_root=/dev/sdb3 udev doscsi noapic acpi=off rootfstype=ext3 video=uvesafb:mtrr:3,ywrap,1024x768-32@85
Build Date: 03 November 2013  07:16:09PM
 
Current version of pixman: 0.30.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Nov  8 13:19:34 2013
(==) Using config file: "/etc/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
NVIDIA: could not open the device file /dev/nvidia0 (Input/output error).
(EE)
Fatal server error:
(EE) no screens found(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error

Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Fri Nov 08, 2013 2:25 pm    Post subject: Reply with quote

after the last updates i can't use no nvidia drivers anymore.

# cat /dev/nvidia0
cat: /dev/nvidia0: Eingabe-/Ausgabefehler
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Fri Nov 08, 2013 2:43 pm    Post subject: Reply with quote

Code:
ls -l /dev/nvidia*


If nothing is returned:
Code:
mknod -m 0666 /dev/nvidia0 c 195 0


See NVIDIA Dev Talk
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Fri Nov 08, 2013 3:10 pm    Post subject: Reply with quote

Code:

# ls -l /dev/nvidia*
crw-rw---- 1 root video 195,   0  8. Nov 16:08 /dev/nvidia0
crw-rw---- 1 root video 195, 255  8. Nov 16:08 /dev/nvidiactl


i've updated to a newer kernel 3.10.17 now. it's not a kernel thing because the issue persists.

i have that card:
Code:
 # lspci
03:00.0 VGA compatible controller: NVIDIA Corporation GF110 [GeForce GTX 560 Ti OEM] (rev a1)


Last edited by ch64 on Fri Nov 08, 2013 5:27 pm; edited 1 time in total
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Fri Nov 08, 2013 3:23 pm    Post subject: Reply with quote

now with nvidia-drivers-325.15

Code:

startx
xauth:  file /home/flash/.serverauth.29535 does not exist


X.Org X Server 1.14.3
Release Date: 2013-09-12
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.10.17-gentoo x86_64 Gentoo
Current Operating System: Linux dualcore 3.10.17-gentoo #1 SMP Fri Nov 8 15:40:49 CET 2013 x86_64
Kernel command line: root=/dev/ram0 init=/linuxrc ramdisk=8192 real_root=/dev/sdb3 udev doscsi noapic acpi=off rootfstype=ext3 video=uvesafb:mtrr:3,ywrap,1024x768-32@85
Build Date: 08 November 2013  04:15:00PM
 
Current version of pixman: 0.30.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Nov  8 16:21:39 2013
(==) Using config file: "/etc/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
(EE)
Fatal server error:
(EE) no screens found(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Fri Nov 08, 2013 4:02 pm    Post subject: Reply with quote

Code:
rm -v /etc/X11/xorg.conf
nvidia-xconfig
startx

_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Fri Nov 08, 2013 7:06 pm    Post subject: Reply with quote

The nvidia-drivers-325.15 is working after a reboot now.
But the right (2nd) screen is switching on/off all the time.
Like the topic is telling you. ;-)
Probably i cannot switch back to that nvidia 173.x.x.

There is no nvidia-xconfig on that system. I used my own config.
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Fri Nov 08, 2013 7:14 pm    Post subject: Reply with quote

Step down the driver until the blinking stops using package.mask
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Sat Nov 09, 2013 2:25 pm    Post subject: Reply with quote

I have stepped down already. No driver is working. Nearly all say: 'no screen' or 'no screen' '/dev/nvidia0 input/output error'
Even the 173.x.x is not working. Only the 325.15 and that is blinking.

I tried to change some options in the grafical nvidia-settings tool. when i clicked the screen0 to 32bit grafics [experimental] the second screen stopped blinking, but kde crashed.
So i restarted X and after that i couldn't bring that behavior back, so that the blinking stopps.

UPDATE:With the free Nouveau drivers built into the kernel it also doesn't work. Xserver says: No Screens. I have put the BUSID option in the config. hmm..
hald-daemon doesnt start when booting since march ( i wasn't on the system a few month)
Is that a point? :] when i write hald on the console it's backgrounding. But at start it takes a long until the consoles are open and hald has [!!] .. not started :-)

nvidia-xconfig doesn't help.
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Sat Nov 09, 2013 8:03 pm    Post subject: Reply with quote

It's something like this: http://www.youtube.com/watch?v=VfSozXKLuIs
The monitor backlight goes on and off all the time. For me it is every 2 seconds..
Before some world updates it was okay.
And on windows the two screens are working together.
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1745
Location: Mannheim, Germany

PostPosted: Sun Nov 10, 2013 6:08 pm    Post subject: Reply with quote

Hi guys! I have no idea if this is related, but I am having the exact same problem:
2 screens, first one working perfectly, the 2nd one is flickering and turning on/off all the time. Under Linux, I just have this problem with the latest 330.20 driver. Under Windows it's the exact same problem and I think it is a driver related issue. Too bad, because the 330.20 is the first one to work well with kernel 3.11/3.12...
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Sun Nov 10, 2013 7:09 pm    Post subject: Reply with quote

Martux: For me the NVIDIA drivers are working for years.
The only thing is, that i have that flickering since the 3xx releases.
With windows i have no problem. For me it's a driver/xorg-server issue, for sure.

A special question what be, Martux, do you have this on DVI, too?
I have ordered a dvi/hdmi adapter because i think that would help. In my opinion the blinking is only on the HDMI port. I do not have DVI on that screen, so i have to pick up an adapter.
I hope this will help, next week. Why using HDMI if I do not use the sound on the screen.
But the problem with HDMI remains.

I will see if the adapter to DVI helps, in the week.
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1745
Location: Mannheim, Germany

PostPosted: Sun Nov 10, 2013 7:20 pm    Post subject: Reply with quote

It's with purely HDMI connection for me. The first monitor is DVI over HDMI adapter. Well, I just wrote because it seems to be a very similar problem. Didn't mean to hijack your thread :wink:
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Mon Nov 11, 2013 2:23 pm    Post subject: Reply with quote

What happens if you downgrade the kernel :?:
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Mon Nov 11, 2013 10:58 pm    Post subject: Reply with quote

I had the 3.5er kernel and i switched to 3.10.17. The stepping between these two must be big enough. :)
the older ones in my grub are not good for me anymore. :p
Not working. :)
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Mon Nov 11, 2013 11:17 pm    Post subject: Reply with quote

/etc/portage/package.mask
>sys-kernel/gentoo-sources:3.4.68
>x11-drivers/nvidia-drivers-173.14.38

/etc/portage/package.accept_keywords
sys-kernel/gentoo-sources ~amd64

The above will enable slotted kernels, and mask every kernel above 3.4.68, and every nvidia-driver above 173.14.38

After:
Code:
emerge -c gentoo-sources && emerge gentoo-sources
Recompile kernel 3.4.68 as you normally do any kernel, then reemerge nvidia-drivers, and remove old kernel entries from grub.

Don't update the kernel or nvidia-drivers until you buy a new NVIDIA Card. This is what I like to call a hardware prohibitive upgrade.
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4742
Location: Saint Amant, Acadiana

PostPosted: Tue Nov 12, 2013 1:55 pm    Post subject: Reply with quote

Just found this thread. I have same problem, both monitors are DVI. It seems the second monitor is protecting itself from incompatible modes. Will try and use a modeline to force settings when I get back home.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
ch64
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2010
Posts: 140

PostPosted: Wed Nov 13, 2013 5:07 pm    Post subject: Reply with quote

I damn found the solution from februar to march. (damn, i was writing in this thread, too.)
The Problem is the nvidia driver. It comes with a wrong EDID set for the 3D monitor Acer HS244HQ. EDID is the configuration set for monitors.
The reason why i didn't notice this thread was, that i didn't knew that it came to a solved solution.
Also i did it with downgrades this time, when today this is not possible without big dependency issues.
http://forums.gentoo.org/viewtopic-p-7238172.html
https://devtalk.nvidia.com/default/topic/523770/linux/repeated-monitor-flickering-resync-with-310-xx-driver-on-quantal-amd64/3/

Here:
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/tree/Documentation/EDID?id=refs/tags/v3.11.2
Just copy the sourcecode of these files:
The 1920x1080.S file.
Then the hex file and the Makefile and the edit.S file.

Then type make.

The outcoming 1920x1080.bin file copy to a place of your choose.

Then add something like that to the xorg.conf:
Code:

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
Option "CustomEDID" "DFP-1:/home/flash/1920x1080.bin"
EndSection


I hope it helped you.
If you have another monitor model then the Acer HS244HQ, maybe the default resolution EDID sets help you.
I have two monitors, and DFP-1 is the value for my 2nd monitor with the flickering.
If you have another value.. i have a copy lines from the thread above:


This option forces the X driver to use the EDID specified in a file rather than the display's EDID. You may specify a semicolon separated list of display names and filename pairs. Valid display device names include "CRT-0", "CRT-1", "DFP-0", "DFP-1", "TV-0", "TV-1", or one of the generic names "CRT", "DFP", "TV", which apply the EDID to all devices of the specified type. Additionally, if SLI Mosaic is enabled, this name can be prefixed by a GPU name (e.g., "GPU-0.CRT-0"). The file contains a raw EDID (e.g., a file generated by nvidia-settings).


DFP-1 is the second screen HDMI or DVI.
DFP-1 is the first.

But remember: this is only a fix. Nvidia should update it's drivers since a few month. Some monitors have this wrong configurations. So the graphic card can't choose the right modes for the monitor.

If you want custom EDID's for more screens just add:
Code:

 Option "CustomEDID" "CRT-0:/tmp/edid1.bin; DFP-0:/tmp/edid2.bin"


I have all the newest versions of kernel, xorg-server and nvidia now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum